# $Revision: 1.35 $, $Date: 2009/04/03 18:25:16 $
Summary:	GNOME Desktop Environment with additional packages
Summary(pl.UTF-8):	Środowisko graficzne GNOME z dodatkowymi pakietami
Name:		metapackage-gnome
Version:	2.26.0
Release:	1
License:	GPL/LGPL
Group:		X11/Applications
Requires:	%{name}-accessibility = %{version}-%{release}
Requires:	%{name}-admin = %{version}-%{release}
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-desktop = %{version}-%{release}
Requires:	%{name}-devtools = %{version}-%{release}
Requires:	%{name}-office = %{version}-%{release}
Requires:	epiphany-extension-gwget >= 1.0.1
Requires:	gnome-games-extra-data-glines >= 2.26.0
Requires:	gnome-games-extra-data-gnobots2 >= 2.26.0
Requires:	gnome-games-extra-data-gnometris >= 2.26.0
Requires:	gnome-games-extra-data-iagno >= 2.26.0
Requires:	gnome-games-extra-data-mahjongg >= 2.26.0
Requires:	gnome-games-extra-data-same-gnome >= 2.26.0
Requires:	gnome-mount >= 0.8
Requires:	gnome-themes-extras-Darklooks >= 2.22.0
Requires:	gnome-themes-extras-Foxtrot >= 2.22.0
Requires:	gnome-themes-extras-Gion >= 2.22.0
Requires:	gnome-themes-extras-Neu >= 2.22.0
Requires:	gnome-themes-extras-Unity >= 2.22.0
Requires:	gnome-themes-extras-gnome-alternative >= 2.22.0
Requires:	gstreamer-a52dec
Requires:	gstreamer-aac
Requires:	gstreamer-audio-effects-bad
Requires:	gstreamer-audiosink-alsaspdif
Requires:	gstreamer-audiosink-nas
Requires:	gstreamer-cdaudio
Requires:	gstreamer-dts
Requires:	gstreamer-dvdread
Requires:	gstreamer-gsm
Requires:	gstreamer-jack
Requires:	gstreamer-ladspa
Requires:	gstreamer-lame
Requires:	gstreamer-mad
Requires:	gstreamer-mjpegtools
Requires:	gstreamer-mms
Requires:	gstreamer-mpeg
Requires:	gstreamer-musepack
Requires:	gstreamer-musicbrainz
Requires:	gstreamer-mythtv
Requires:	gstreamer-neon
Requires:	gstreamer-plugins-bad
Requires:	gstreamer-plugins-ugly
Requires:	gstreamer-sid
Requires:	gstreamer-sndfile
Requires:	gstreamer-soundtouch
Requires:	gstreamer-spc
Requires:	gstreamer-timidity
Requires:	gstreamer-videosink-directfb
Requires:	gstreamer-videosink-sdl
Requires:	gstreamer-wildmidi
Requires:	gstreamer-x264
Requires:	gstreamer-xvid
Requires:	gwget >= 1.0.1
Requires:	liferea >= 1.4.27
Requires:	rhythmbox >= 0.12.0
Obsoletes:	metapackage-gnome-extras
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Desktop Environment with additional packages (metapackage).

%description -l pl.UTF-8
Środowisko graficzne GNOME z dodatkowymi pakietami (metapakiet).

%package accessibility
Summary:	Accessibility packages for GNOME Desktop Environment
Summary(pl.UTF-8):	Pakiety ułatwień dostępu dla środowiska graficznego GNOME
Group:		X11/Applications/Accessibility
Requires:	%{name}-core = %{version}-%{release}
Requires:	dasher >= 4.10.0
Requires:	gnome-applet-colorblind >= 0.15.5
Requires:	gnome-mag >= 0.15.5
Requires:	gnome-speech >= 0.4.23
Requires:	gok >= 2.26.0
Requires:	mousetweaks >= 2.26.0
Requires:	orca >= 2.26.0
Suggests:	gnome-themes-HighContrast >= 2.26.0
Suggests:	gnome-themes-HighContrast-SVG >= 2.26.0
Suggests:	gnome-themes-HighContrastInverse >= 2.26.0
Suggests:	gnome-themes-HighContrastLargePrint >= 2.26.0
Suggests:	gnome-themes-HighContrastLargePrintInverse >= 2.26.0
Suggests:	gnome-themes-LargePrint >= 2.26.0
Suggests:	gnome-themes-LowContrast >= 2.26.0
Suggests:	gnome-themes-LowContrastLargePrint >= 2.26.0
Provides:	metapackage-gnome-extras-accessibility
Obsoletes:	metapackage-gnome-extras-accessibility

%description accessibility
Accessibility packages for GNOME Desktop Environment.

%description accessibility -l pl.UTF-8
Pakiety ułatwień dostępu dla środowiska graficznego GNOME.

%package admin
Summary:	Administration packages for GNOME Desktop Environment
Summary(pl.UTF-8):	Pakiety do zarządzania środowiskiem graficznym GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	pessulus >= 2.26.0
Requires:	sabayon >= 2.22.1

%description admin
Administration packages for GNOME Desktop Environment.

%description admin -l pl.UTF-8
Pakiety do zarządzania środowiskiem graficznym GNOME.

%package core
Summary:	The core components of the GNOME Desktop Environment
Summary(pl.UTF-8):	Podstawowe składniki środowiska graficznego GNOME
Group:		X11/Applications
Requires:	eog >= 2.26.0
Requires:	fam
Requires:	gedit2 >= 2.26.0
Requires:	gnome-control-center >= 1:2.26.0
Requires:	gnome-desktop >= 2.26.0
Requires:	gnome-icon-theme >= 2.26.0
Requires:	gnome-keyring >= 2.26.0
Requires:	gnome-panel >= 2.26.0
Requires:	gnome-session >= 1:2.26.0
Requires:	gnome-terminal >= 2.26.0
Requires:	gtk2-engines >= 1:2.18.0
Requires:	nautilus >= 2.26.0
Requires:	xdg-menus
Requires:	yelp >= 2.26.0
Suggests:	gnome-menus >= 2.26.0
Suggests:	metacity >= 2:2.26.0

%description core
The core components of the GNOME Desktop Environment.

%description core -l pl.UTF-8
Podstawowe składniki środowiska graficznego GNOME.

%package desktop
Summary:	GNOME Desktop Environment
Summary(pl.UTF-8):	Środowisko graficzne GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	alacarte >= 0.11.10
Requires:	brasero >= 2.26.0
Requires:	bug-buddy >= 2.26.0
Requires:	cheese >= 2.26.0
Requires:	ekiga >= 2.0.11
Requires:	empathy >= 2.26.0
Requires:	epiphany >= 2.26.0
Requires:	epiphany-extension-seahorse >= 2.26.0
Requires:	epiphany-extensions >= 2.26.0
Requires:	evince >= 2.26.0
Requires:	evolution >= 2.26.0
Requires:	evolution-addressbook >= 2.26.0
Requires:	evolution-calendar >= 2.26.0
Requires:	evolution-mail >= 2.26.0
Requires:	evolution-pilot >= 2.26.0
Requires:	file-roller >= 2.26.0
Requires:	gcalctool >= 5.26.0
Requires:	gconf-editor >= 2.26.0
Requires:	gdm >= 2:2.20.10
Requires:	gedit-plugin-seahorse >= 2.26.0
Requires:	gedit-plugins >= 2.26.0
Requires:	gnome-applet-deskbar >= 2.26.0
Requires:	gnome-applet-fast-user-switch >= 2.24.0
Requires:	gnome-applet-hamster >= 2.26.0
Requires:	gnome-applet-seahorse >= 2.26.0
Requires:	gnome-applets-accessx-status >= 1:2.26.0
Requires:	gnome-applets-battstat >= 1:2.26.0
Requires:	gnome-applets-charpicker >= 1:2.26.0
Requires:	gnome-applets-cpufreq >= 1:2.26.0
Requires:	gnome-applets-drivemount >= 1:2.26.0
Requires:	gnome-applets-geyes >= 1:2.26.0
Requires:	gnome-applets-gweather >= 1:2.26.0
Requires:	gnome-applets-invest >= 1:2.26.0
Requires:	gnome-applets-keyboard >= 1:2.26.0
Requires:	gnome-applets-minicommander >= 1:2.26.0
Requires:	gnome-applets-mixer >= 1:2.26.0
Requires:	gnome-applets-multiload >= 1:2.26.0
Requires:	gnome-applets-stickynotes >= 1:2.26.0
Requires:	gnome-applets-trash >= 1:2.26.0
Requires:	gnome-backgrounds >= 2.24.1
Requires:	gnome-games-blackjack >= 1:2.26.0
Requires:	gnome-games-glchess >= 1:2.26.0
Requires:	gnome-games-glines >= 1:2.26.0
Requires:	gnome-games-gnect >= 1:2.26.0
Requires:	gnome-games-gnibbles >= 1:2.26.0
Requires:	gnome-games-gnobots2 >= 1:2.26.0
Requires:	gnome-games-gnometris >= 1:2.26.0
Requires:	gnome-games-gnomine >= 1:2.26.0
Requires:	gnome-games-gnotravex >= 1:2.26.0
Requires:	gnome-games-gnotski >= 1:2.26.0
Requires:	gnome-games-gtali >= 1:2.26.0
Requires:	gnome-games-iagno >= 1:2.26.0
Requires:	gnome-games-mahjongg >= 1:2.26.0
Requires:	gnome-games-same-gnome >= 1:2.26.0
Requires:	gnome-games-sol >= 1:2.26.0
Requires:	gnome-games-sudoku >= 1:2.26.0
Requires:	gnome-media-sound-recorder >= 2.26.0
Requires:	gnome-media-volume-control >= 2.26.0
Requires:	gnome-netstatus >= 2.26.0
Requires:	gnome-nettool >= 2.26.0
Requires:	gnome-power-manager >= 2.26.0
Requires:	gnome-screensaver >= 2.26.0
Requires:	gnome-system-monitor >= 2.26.0.1
Requires:	gnome-system-tools >= 2.22.2
Requires:	gnome-user-docs >= 2.26.0
Requires:	gnome-utils-baobab >= 1:2.26.0
Requires:	gnome-utils-dictionary >= 1:2.26.0
Requires:	gnome-utils-floppy >= 1:2.26.0
Requires:	gnome-utils-logview >= 1:2.26.0
Requires:	gnome-utils-screenshot >= 1:2.26.0
Requires:	gnome-utils-search-tool >= 1:2.26.0
Requires:	gstreamer
Requires:	gstreamer-GConf
Requires:	gstreamer-audio-effects-base
Requires:	gstreamer-audio-effects-good
Requires:	gstreamer-audio-formats
Requires:	gstreamer-audiosink-alsa
Requires:	gstreamer-audiosink-esd
Requires:	gstreamer-audiosink-oss
Requires:	gstreamer-cairo
Requires:	gstreamer-cdio
Requires:	gstreamer-cdparanoia
Requires:	gstreamer-dv
Requires:	gstreamer-flac
Requires:	gstreamer-gdkpixbuf
Requires:	gstreamer-gnomevfs
Requires:	gstreamer-hal
Requires:	gstreamer-imagesink-x
Requires:	gstreamer-imagesink-xv
Requires:	gstreamer-libpng
Requires:	gstreamer-libvisual
Requires:	gstreamer-pango
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good
Requires:	gstreamer-raw1394
Requires:	gstreamer-shout2
Requires:	gstreamer-speex
Requires:	gstreamer-taglib
Requires:	gstreamer-theora
Requires:	gstreamer-video-effects
Requires:	gstreamer-videosink-aa
Requires:	gstreamer-videosink-libcaca
Requires:	gstreamer-visualisation
Requires:	gstreamer-vorbis
Requires:	gstreamer-wavpack
Requires:	gstreamer-ximagesrc
Requires:	gucharmap >= 2.26.0
Requires:	nautilus-extension-brasero >= 2.26.0
Requires:	nautilus-extension-evince >= 2.26.0
Requires:	nautilus-extension-seahorse >= 2.26.0
Requires:	seahorse >= 2.26.0
Requires:	seahorse-plugins >= 2.26.0
Requires:	sound-juicer >= 2.26.0
Requires:	swfdec-gnome >= 2.26.0
Requires:	tomboy >= 0.14.0
Requires:	totem >= 2.26.0
Requires:	vinagre >= 2.26.0
Requires:	vino >= 2.26.0
Requires:	zenity >= 2.26.0
Suggests:	browser-plugin-totem >= 2.26.0
Suggests:	evolution-exchange >= 2.26.0
Suggests:	evolution-mapi >= 0.26.0
Suggests:	evolution-webcal >= 2.26.0
Suggests:	gnome-games-servers >= 1:2.26.0
Suggests:	gnome-keyring-pam >= 2.26.0
Suggests:	gnome-themes-Clearlooks >= 2.26.0
Suggests:	gnome-themes-ClearlooksClassic >= 2.26.0
Suggests:	gnome-themes-Crux >= 2.26.0
Suggests:	gnome-themes-Glider >= 2.26.0
Suggests:	gnome-themes-Glossy >= 2.26.0
Suggests:	gnome-themes-Inverted >= 2.26.0
Suggests:	gnome-themes-Mist >= 2.26.0

%description desktop
GNOME Desktop Environment.

%description desktop -l pl.UTF-8
Środowisko graficzne GNOME.

%package devtools
Summary:	Developer tools for GNOME Desktop Environment
Summary(pl.UTF-8):	Narzędzia programisty dla środowiska graficznego GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	accerciser >= 1.6.0
Requires:	anjuta >= 1:2.26.0.0
Requires:	devhelp >= 0.23
Requires:	glade3 >= 3.6.0
Requires:	gnome-devel-docs >= 2.26.0

%description devtools
Developer tools for GNOME Desktop Environment.

%description devtools -l pl.UTF-8
Narzędzia programisty dla środowiska graficznego GNOME.

%package office
Summary:	Office suite for GNOME Desktop Environment
Summary(pl.UTF-8):	Pakiety biurowe dla środowiska graficznego GNOME
Group:		X11/Applications
Requires:	%{name}-core = %{version}-%{release}
Requires:	abiword >= 1:2.4.6
Requires:	dia >= 1:0.96.1
Requires:	gimp >= 1:2.4.6
Requires:	glabels >= 2.2.1
Requires:	gnumeric >= 1:1.8.0
Requires:	inkscape >= 0.46
Requires:	planner >= 0.14.2

%description office
Office packages for GNOME Desktop Environment.

%description office -l pl.UTF-8
Pakiety biurowe dla środowiska graficznego GNOME.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%files accessibility
%defattr(644,root,root,755)

%files admin
%defattr(644,root,root,755)

%files core
%defattr(644,root,root,755)

%files desktop
%defattr(644,root,root,755)

%files devtools
%defattr(644,root,root,755)

%files office
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metapackage-gnome.spec,v $
Revision 1.35  2009/04/03 18:25:16  megabajt
- updated to 2.26.0

Revision 1.34  2008/10/27 19:43:07  hawk
- release 3

Revision 1.33  2008/10/27 19:38:12  hawk
- removed gnome-media-cd, gnome-media-cddb, gnome-media-vumeter,
  now its usable with gnome 2.24.x

Revision 1.32  2008/08/05 07:04:46  arekm
- rel 2; don't force gnome-menus

Revision 1.31  2008/07/11 09:46:58  megabajt
- updated to 2.22.3

Revision 1.30  2008-05-02 08:56:18  megabajt
- added epoch for gnome-games-*, gnome-applets-* and gnome-utils-* packages

Revision 1.29  2008-05-02 08:35:20  megabajt
- proper versions of tomboy and gdm

Revision 1.28  2008-05-02 08:30:50  megabajt
- require existing version of gnome-netstatus
- release 2

Revision 1.27  2008-04-30 17:22:10  megabajt
- updated to 2.22.1 and redesigned
- created -core and -desktop subpackages which together give full featured
  GNOME Desktop.
- removed -extras subpackage; -extras-accessibility has been renamed into
  -accessibility

Revision 1.26  2007-10-13 23:20:04  baggins
- rel 2

Revision 1.25  2007/10/12 14:22:39  sls
- Requires: gnome-themes-extras >= 2.20 (not 2.20.0)

Revision 1.24  2007/10/09 19:29:37  qboosh
- fixed office/admin descs

Revision 1.23  2007/10/08 14:50:34  baggins
- up to 2.20
- added admin subpackage

Revision 1.22  2007/06/14 23:25:54  glen
- gnome 2.18 versions according to http://ftp.gnome.org/pub/GNOME/teams/releng/2.18.0/versions

Revision 1.21  2007/03/12 07:57:11  glen
- adapter, existing Group

Revision 1.20  2007/03/12 07:55:55  glen
- no amrnb

Revision 1.19  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.17  2006/05/24 07:58:58  qboosh
- merged deps update (GNOME 2.14) from AC-branch

Revision 1.16  2005/10/10 17:47:20  glen
- noarch

Revision 1.15  2005/10/09 13:53:46  freetz
- TODO added

Revision 1.14.2.3  2006/05/18 23:23:13  baggins
- release 3
- final update and cleanup

Revision 1.14.2.2  2006/05/17 15:56:44  baggins
- rel 2

Revision 1.14.2.1  2006/05/17 15:23:31  baggins
- GNOME 2.14

Revision 1.14  2005/10/09 13:43:30  freetz
- rel.1

Revision 1.13  2005/10/09 13:43:00  freetz
- corrected gnome-games-extras packages version

Revision 1.12  2005/10/09 13:18:59  freetz
- typo

Revision 1.11  2005/10/09 13:18:19  freetz
- 2.12.1, accessibility and office packages added, more tweaks,
  dropped some 'not official GNOME' packages, package versions updates

Revision 1.10  2005/09/09 07:48:17  paladine
- updated to 2.12.0
- NFY ???

Revision 1.9  2005/05/25 11:08:50  paladine
- updated nautilus R:
- removed epoch from nautilus-cd-burner R:
- removed todo
- rel. 1

Revision 1.8  2005/05/24 19:47:33  paladine
- removed evince, rel. 0.3

Revision 1.7  2005/05/24 19:26:19  paladine
- updated some Rs added missing epochs, rel. 0.2

Revision 1.6  2005/05/23 20:17:42  qboosh
- simple desc for -extras

Revision 1.5  2005/05/23 10:58:32  paladine
- updated to 2.10.1
- extras subpackage
- small todo

Revision 1.4  2004/11/30 23:53:03  wiget
- (almost) complete GNOME Desktop 2.8.1

Revision 1.3  2004/11/26 17:42:21  havner
- xscreensaver added

Revision 1.2  2004/11/18 22:37:19  qboosh
- pl

Revision 1.1  2004/11/13 19:52:19  aredridel
- added
